{% extends 'base.html.twig' %}

{% block title %}Todo List{% endblock %}

{% block body %}
<nav class="navbar navbar-expand-lg bg-body-tertiary">
  <div class="container-fluid">
    <a class="navbar-brand" href="{{ path('app_dashboard') }}">Todo List</a>
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <div id="content">
            <a href="{{ path('app_logout') }}" class="btn btn-outline-success" type="submit" id="logout">Logout</a>
        </div>
    </div>
  </div>
</nav>
<br />
<div  class="row">
    <div class="col-md-4 m-2">
    <h4>Dodaj nową todo listę</h4>
   {{ form_start(form) }}
    <div class="my-custom-class-for-errors">
        {{ form_errors(form) }}
    </div>

    <div class="row">
        <div class="col">
            {{ form_widget(form.name) }}
        </div>
           <input type="hidden" id="{{ form.user.vars.id }}" 
            name="{{ form.user.vars.full_name }}" 
            value="{{ form.user.vars.value }}" />
            {% do form.user.setRendered %}
        <div class="col">
            {{ form_row(form.dodaj) }}
        </div>
    </div>
{{ form_end(form) }}
    </div>
</div>
<br />

<div class="row m-2">
    {% for toDoList in toDoLists %}
        <div class="card m-2" style="width: 18rem;">
            <div class="card-body">
                <h5 class="card-title">{{ toDoList.name }}</h5>
                <input type="hidden" name="listId" value="{{toDoList.id}}">
                <form class="row g-3">
                    <div class="col-auto">
                        <input type="text" name="newPosition" class="form-control"> 
                    </div>
                    <div class="col-auto">
                        <input type="button" name="addPosition" value="Dodaj" class="btn btn-primary mb-3">
                    </div>
                </form>
                <ul id="positions">
                    {% for position in toDoList.getToDoListPositions() %}
                        <li>
                            <input type="checkbox" value="{{ position.id }}" {{ position.done == 1 ? 'checked' : '' }} name="position">
                            {{ position.name }}
                        </li>
                    {% endfor %}
                </ul>
            </div>
        </div>
    {% endfor %}
</div>


<style>
    #content {
        display:flex;
        width: 100%;
    }
    #form {
        margin-left: auto;
    }
    #logout {
        margin-left: auto;
    }
</style>

<script>
$( document ).ready(function() {
    $(document).on('click', 'input[name="addPosition"]', function() {
        let that = $(this);
         $.ajax({
            url: "{{ path('app_add_position') }}",
            method: "POST",
            data: { id: $(this).parent().parent().parent().find('input[name="listId"]').val(), name: $(this).parent().parent().find('input[name="newPosition"]').val() },
            dataType: "json",
            success: function(data) {
                let position  = '<li><input type="checkbox" value="'+data.id+'" name="position">'+data.name+'</li>';

                that.parent().parent().parent().find("#positions").append(position);
            }
        });
    });

    $(document).on('click', 'input[name="position"]', function() {
             $.ajax({
            url: "{{ path('app_mark_position') }}",
            method: "POST",
            data: { id: $(this).val(), done:  $(this).is(':checked')},
            dataType: "json",
            success: function(data) {
            }
        });
    });
});
</script>

{% endblock %}

